Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 24 Mar 2021 08:39:40 +0000

Hi Alka Pandey,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I suppose to receive order  9643047165 on 21 March.

I received a confirmation message on Saturday 20 March says that i will receive the order  between 
14:00 -18:00 pm.

At 20:00 pm on Sunday i called the customer service to check about the statue of the order and the delivery worker that i got his phone number said he doesn’t has the item and i have to check with the customer service.

Spoke again with the customer service and they said they will escalate this to the management as i told them I didn’t cancel the delivery like they were saying it’s showing on the system and the agent who put the escalation closed the line in my face while i was discussing the case with her 
Spoke again with another agent on the same day and he said some one will call me on Monday 22 March before 12:00 pm to clarify the situation to me .

On Monday until 14:00pm No one called, and i had to call again to another agent his name is Ezzeldin and he assured me that one of the supervisors will call me within one hour maximum and he can’t do anything from his side after 40 minutes putting me on hold 

I called  again after 3 hours to check why no one called me and spoke with another  agent his name is Basel and he promised me that i will receive a call before 9:00 pm

No one called me until 8:55 so i called again with another agent her name  is Mai and she asked me to stay in hold to check but after 5 minutes she closed the line and when i called back the Department was closed 

Iam so upset and disappointed of this experience with Hombox which is the first and will be the last time 

I work in Cleveland clinic Abudhabi hospital which is a part of Mubadala and iam going to raise this to the  head office in UAE, iam a part of the first line of defense in the country and I don’t accept this . https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2287900